:root{
    --bg-1: #1f1b1b;
    /*--bg-1: #d22c4e;*/
    /*--bg-2: #2a1f1f;*/
    --bg-2: #ef5662;
    --panel:#0b0b0b;
    --stroke:rgba(255,255,255,.14);
    --muted:rgba(255,255,255,.72);
    --text:#ffffff;

    --accent-1:#ffb703;
    --accent-2:#fb8500;

    --ring:#ff8c32;
    --ring-empty:rgba(255,255,255,.14);

    --chip:rgba(0,0,0,.35);
    --chip-border:rgba(255,255,255,.16);

    --radius:8px;
}
.yalda-banner{
    position:relative;
    top: -25px;
    z-index: 1;
    overflow:hidden;
    border-radius: var(--radius);
    background: linear-gradient(135deg, var(--bg-1), var(--bg-2));
    box-shadow: 0 10px 30px rgba(0,0,0,.12);
    padding: 22px 24px;
    display:grid;
    grid-template-columns: 330px 1fr 200px;
    gap: 18px;
    align-items:center;
    min-height: 200px;
}
.yalda-banner::before{
    content:"";
    position:absolute;
    inset:-120px;
    background:
            radial-gradient(600px 200px at 70% 40%, rgba(255,140,50,.10), transparent 60%),
            radial-gradient(500px 220px at 20% 70%, rgba(255,183,3,.08), transparent 60%);
    pointer-events:none;
}
/* Left: progress ring */
.yalda-banner .stock{
    display:flex;
    align-items:center;
    justify-content:center;
}

.yalda-banner .ring{
    position:relative;
    display:grid;
    place-items:center;
}

.yalda-banner .ring svg{
    transform: rotate(-90deg);
    display:block;
}

.yalda-banner .ring .center{
    position:absolute;
    inset: 14px;
    border-radius: 999px;
    background: #f7f4f2;
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    text-align:center;
    gap:2px;
    box-shadow: 0 6px 16px rgba(0,0,0,.20);
}

.yalda-banner .ring .num{
    font-weight:800;
    font-size: 30px;
    line-height: 1;
    color:#111;
    position: relative;
    right: -16px;
}
.yalda-banner .stockNumLabel{
    font-size: 11px;
    position: absolute;
    left: 12px;
    top: 45px;
    font-weight: 600;
}
.yalda-banner .ring .label{
    font-size: 12px;
    color:#333;
    font-weight:600;
}
/* Middle: title + timer */
.yalda-banner .content{
    display:flex;
    flex-direction:column;
    gap: 12px;
    align-items: center;
}

.yalda-banner .title{
    display:flex;
    flex-direction:column;
    gap: 4px;
}

.yalda-banner .title span{
    font-family: "Yekan Bakh Black WOFF2", sans-serif;
    margin:0;
    color: var(--text);
    font-size: 38px;
    letter-spacing: -0.2px;
    font-weight: 900;
}

.yalda-banner .title .sub{
    color: var(--muted);
    font-family: "Yekan Bakh ExtraBold WOFF2", sans-serif;
    font-size: 16px;
    display: block;
    text-align: center;
    font-weight: 600;
}
.yalda-banner .timer-row{
    display:flex;
    gap: 10px;
    align-items:center;
    flex-wrap:wrap;
}

.yalda-banner .timer{
    display:flex;
    gap: 15px;
    align-items:center;
}

.yalda-banner .tbox{
    width: 82px;
    height: 58px;
    border-radius: 10px;
    background: var(--chip);
    border: 1px solid var(--chip-border);
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    gap: 2px;
    color: var(--text);
    backdrop-filter: blur(4px);
}
.yalda-banner .tbox .v{
    font-weight: 900;
    font-size: 18px;
    line-height: 1;
}
.yalda-banner .tbox .k{
    font-size: 11px;
    color: rgba(255,255,255,.72);
    font-weight: 700;
}
.yalda-banner .actions{
    display:flex;
    flex-direction:column;
    gap: 10px;
    align-items:stretch;
    justify-content:center;
}

.yalda-banner .btn{
    height: 48px;
    max-width: 300px;
    border-radius: 12px;
    border: 0;
    cursor:pointer;
    font-weight: 900;
    font-size: 15px;
    padding: 0 14px;
    margin: 10px 0 -18px 0;
}

/*.yalda-banner .btn-primary{*/
/*    background: linear-gradient(180deg, var(--accent-1), var(--accent-2));*/
/*    color:#231a07;*/
/*    box-shadow: 0 8px 18px rgba(251,133,0,.18);*/
/*}*/
.yalda-night{
    position: absolute;
    left: 2px;
    top: -10px;
    width: 256px;
    z-index: -1;
}
.yalda-banner .btn-primary{
    background: rgba(255,255,255,.92);
    color: #1b1b1b;
    border: 1px solid rgba(255,255,255,.18);
}

.yalda-banner .btn:active{ transform: translateY(1px); }
.yalda-banner span.title{
    color: #fff;
    font-size: 17px;
    font-family: "Yekan Bakh SemiBold WOFF2", sans-serif;
    text-align: justify;
    margin-bottom: 6px;
    margin-top: 18px;
}
.yalda-banner span.title strong{
    font-family: "Yekan Bakh Black WOFF2", sans-serif;
    font-size: 42px;
    color: gold;
}
.yalda-banner .progress-ring {
    width: 150px;   /* دسکتاپ */
    height: auto;
}

@media (max-width: 820px){
    .yalda-banner{
        grid-template-columns: 1fr;
        padding: 18px 0 9px;
        min-height: unset;
    }
    .yalda-banner .stock{
        justify-content:center;
        margin-bottom: 50px;
        transform: translate(20px, 2%);
    }
    .yalda-banner .content{ align-items:stretch; }
    .yalda-banner .title span{ text-align: center }
    .yalda-banner .actions{ gap: 10px; }
    .yalda-banner .yalda-night{
        width: 350px;
        top: unset;
        bottom: 0;
        left: 50%;
        transform: translate(-40%, 8%);
    }
    .yalda-banner .tbox{ width: 70px; }
    .yalda-banner .btn{
        max-width: unset;
    }
    .yalda-banner span.title{
        text-align: center;
    }
    .yalda-banner .progress-ring {
        width: 180px;   /* موبایل */
    }
    .yalda-banner .stockNumLabel{
        left: 12px;
        top: 60px;
    }
}